%define upstream_name    File-Gettext
%define upstream_version 0.30.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format) >= 2.240.0
BuildRequires: perl(Encode) >= 2.670.0
BuildRequires: perl(File::DataClass)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::MoreUtils) >= 0.50.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Diff) >= 1.370.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.2
BuildRequires: perl(Unexpected)
BuildRequires: perl(namespace::autoclean) >= 0.220.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
Extends File::DataClass::Schema. Provides for the reading and writing
of GNU Gettext PO files and the reading of MO files. Used by
Class::Usul::L10N to translate application message strings into
different languages

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.1-2.mga6
+ Revision: 1027308
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 pterjan <pterjan> 0.30.1-1.mga6
+ Revision: 990057
- Update to 0.30.1

* Fri Feb 19 2016 umeabot <umeabot> 0.29.1-2.mga6
+ Revision: 967993
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.29.1-1.mga6
+ Revision: 851029
- update to 0.29.1

* Sun Oct 19 2014 pterjan <pterjan> 0.25.1-1.mga5
+ Revision: 791825
- Add description
- imported package perl-File-Gettext


* Sun Oct 19 2014 cpan2dist 0.25.1-1mga
- initial mageia release, generated with cpan2dist
